Last Comment Bug 378762 - Add echo-variable-% for client.mk vars
: Add echo-variable-% for client.mk vars
Status: VERIFIED FIXED
: fixed1.8.1.4, verified1.8.1.4
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Axel Hecht [:Pike]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-25 11:07 PDT by Axel Hecht [:Pike]
Modified: 2007-06-08 13:34 PDT (History)
3 users (show)
jwalden+bmo: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
morph echo_ backdoor to work for all vars (674 bytes, patch)
2007-04-25 11:07 PDT, Axel Hecht [:Pike]
benjamin: review+
Details | Diff | Splinter Review
patch landed on trunk (655 bytes, patch)
2007-04-27 08:02 PDT, Axel Hecht [:Pike]
l10n: review+
l10n: approval1.8.1.4+
Details | Diff | Splinter Review

Description Axel Hecht [:Pike] 2007-04-25 11:07:27 PDT
Created attachment 262782 [details] [diff] [review]
morph echo_ backdoor to work for all vars

I'd like to open the existing backdoor in client.mk to actually get any client.mk variable out of it. That would enable me to actually use the variable definitions for modules and locales and all that from outside make, i.e. python and buildbot.

The existing backdoor echo_objdir was added for camino (bug 201860), but isn't used anymore, so I'd like to tweak it to actually work for echo_%.
Comment 1 Benjamin Smedberg AWAY UNTIL 2-AUG-2016 [:bsmedberg] 2007-04-27 08:00:11 PDT
Comment on attachment 262782 [details] [diff] [review]
morph echo_ backdoor to work for all vars

as discussed on IRC, I'd like this to be echo-variable-%
Comment 2 Axel Hecht [:Pike] 2007-04-27 08:02:40 PDT
Created attachment 263022 [details] [diff] [review]
patch landed on trunk

This is the patch that I landed on the trunk, attaching here for branch landing, too.
Comment 3 Axel Hecht [:Pike] 2007-04-27 09:38:21 PDT
Comment on attachment 263022 [details] [diff] [review]
patch landed on trunk

Per discussion on irc with dveditz, this is good for the branch. Requesting approval1.8.1.4.
Comment 4 Axel Hecht [:Pike] 2007-04-27 10:51:36 PDT
Comment on attachment 263022 [details] [diff] [review]
patch landed on trunk

approving for landing for 1.8.1.4, as per discussion with dveditz on irc.
Comment 5 Axel Hecht [:Pike] 2007-04-27 12:22:27 PDT
FIXED on both trunk and MOZILLA_1_8_BRANCH
Comment 6 cmtalbert 2007-06-08 13:34:48 PDT
verified that the code did land on branch and trunk, marking verified.

Note You need to log in before you can comment on or make changes to this bug.